For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGet API key
DocumentationIntegrationsAPI Reference
DocumentationIntegrationsAPI Reference
  • API Reference
      • GETGet Agent Webhook
      • POSTCreate Or Update Agent Webhook
      • DELDelete Agent Webhook
      • GETList Agent Deliveries
      • POSTTest Agent Webhook
LogoLogo
HomeGet API key
API Referenceagent-webhooks

Create Or Update Agent Webhook

POST
https://api.agentphone.ai/v1/agents/:agent_id/webhook
POST
/v1/agents/:agent_id/webhook
1const url = 'https://api.agentphone.ai/v1/agents/agent_id/webhook';
2const options = {
3 method: 'POST',
4 headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
5 body: '{"url":"string"}'
6};
7
8try {
9 const response = await fetch(url, options);
10 const data = await response.json();
11 console.log(data);
12} catch (error) {
13 console.error(error);
14}
1{
2 "id": "string",
3 "url": "string",
4 "secret": "string",
5 "status": "string",
6 "contextLimit": 1,
7 "timeout": 1,
8 "createdAt": "2024-01-15T09:30:00Z"
9}
Register or update a webhook URL for a specific agent. When set, this agent's events are delivered here instead of the account default webhook.
Was this page helpful?
Previous

Delete Agent Webhook

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

agent_idstringRequired

Request

This endpoint expects an object.
urlstringRequiredformat: "uri"1-2083 characters
contextLimitinteger or nullOptional
timeoutinteger or nullOptional

Response

Successful Response
idstring
urlstring
secretstring
statusstring
contextLimitinteger
timeoutinteger
createdAtdatetime

Errors

422
Unprocessable Entity Error